<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MeshCreate</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MeshCreate"><H1>MeshCreate</H1></A>
Creates a <A HREF="../DA/DM.html#DM">DM</A> object, used to manage data for an unstructured problem described by a Sieve. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscmesh.h"   
PetscErrorCode PETSCDM_DLLEXPORT MeshCreate(MPI_Comm comm,Mesh *mesh)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B><A HREF="../Sys/comm.html#comm">comm</A> </B></TD><TD>- the processors that will share the global vector
</TD></TR>
<P>
<H3><FONT COLOR="#CC3333">Output Parameters</FONT></H3>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>mesh </B></TD><TD>- the mesh object
</TD></TR>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
<A HREF="../DA/MeshDestroy.html#MeshDestroy">MeshDestroy</A>(), <A HREF="../DA/MeshCreateGlobalVector.html#MeshCreateGlobalVector">MeshCreateGlobalVector</A>(), <A HREF="../DA/MeshGetGlobalIndices.html#MeshGetGlobalIndices">MeshGetGlobalIndices</A>()
<BR>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/dm/mesh/mesh.c.html#MeshCreate">src/dm/mesh/mesh.c</A>
<BR><A HREF="./index.html">Index of all DA routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex33.c.html">src/ksp/ksp/examples/tutorials/ex33.c.html</A><BR>
</BODY></HTML>
